#ifndef ALDBASICLIB
#define ALDBASICLIB

#include "MonochromeLib.h"


#define Cls ML_clear_screen()
#define RclVRAM ML_display_vram()
#define ClrVRAM ML_clear_vram()

#define PlotOn(x,y) ML_Pixel(x,64-y,ML_BLACK)
#define PlotOff(x,y) ML_Pixel(x,64-y,ML_WHITE)

#define F-Line(a,b,c,d) ML_line(a,b,c,d,ML_BLACK)
#define Circle(x,y,z) ML_circle(x,y,z,ML_BLACK)

#define Vertical(x) ML_vertical_line(x,1,63,ML_BLACK)
#define Horizontal(y) ML_horizontal_line(y,1,127,ML_BLACK)

#define PxlOn ML_Pixel(x,y,ML_BLACK)
#define PxlOff ML_Pixel(x,y,ML_WHITE)
#define PxlTest(x,y) ML_pixel_test(x,y)

#define Text(x,y,txt) PrintMini(x,y,#txt,0)
#define Locate(x,y,txt) PrintXY(x*6,y*9,#txt,0)

void PlotChg(int x, int y);
void PxlChg(int x, int y);


#endif // ALDBASICLIB
